Can't login in Gmail account

Bug #1688765 reported by CrazySky on 2017-05-06
24
This bug affects 5 people
Affects Status Importance Assigned to Milestone
lightning
Incomplete
Undecided
Unassigned
thunderbird (Ubuntu)
Undecided
Unassigned

Bug Description

I'm trying to login in my gmail account.

After entering email and password I have a Google page with enter point.

But when I press the Continue button - nothing happens.

Screen in attachment.

Test case:

Open Thunderbird and try to login in Gmail account with 2-auth.

1) Ubuntu 16.04.1 LTS x86_64
2) 1:45.8.0+build1-0ubuntu0.16.04.1
3) Continue authorization in Gmail
4) Pressing the continue button have no effect

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: thunderbird 1:45.8.0+build1-0ubuntu0.16.04.1
ProcVersionSignature: Ubuntu 4.8.0-51.54~16.04.1-generic 4.8.17
Uname: Linux 4.8.0-51-generic x86_64
AddonCompatCheckDisabled: False
ApportVersion: 2.20.1-0ubuntu2.5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: denis 1668 F.... pulseaudio
 /dev/snd/controlC0: denis 1668 F.... pulseaudio
BuildID: 20170315131408
Channel: Unavailable
CurrentDesktop: Unity
Date: Sat May 6 20:07:06 2017
Extensions: extensions.sqlite corrupt or missing
ForcedLayersAccel: False
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite)
InstallationDate: Installed on 2017-04-22 (14 days ago)
InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 (20170215.2)
IpRoute:
 default via 192.168.1.1 dev wlp6s0 proto static metric 600
 169.254.0.0/16 dev wlp6s0 scope link metric 1000
 192.168.1.0/24 dev wlp6s0 proto kernel scope link src 192.168.1.222 metric 600
Locales: extensions.sqlite corrupt or missing
Plugins: Shockwave Flash - /usr/lib/flashplugin-installer/libflashplayer.so
PrefSources: prefs.js
Prefs:
 extensions.lastAppVersion: "45.8.0" (prefs.js)
 network.cookie.prefsMigrated: true (prefs.js)
 network.predictor.cleaned-up: true (prefs.js)
 plugin.importedState: true (prefs.js)
Profiles: Profile0 (Default) - LastVersion=45.8.0/20170315131408 (In use)
RunningIncompatibleAddons: False
SourcePackage: thunderbird
Themes: extensions.sqlite corrupt or missing
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/22/2016
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A09
dmi.board.name: 0G1TDD
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA09:bd04/22/2016:svnDellInc.:pnInspiron3558:pvr:rvnDellInc.:rn0G1TDD:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: Inspiron 3558
dmi.sys.vendor: Dell Inc.

CrazySky (makarovdenis11) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in thunderbird (Ubuntu):
status: New → Confirmed

Same problem here. Google pushed a new login screen for 2 factor authentication and some apps stopped working, like Epiphany, Gnome Online Accounts and Thunderbird.

https://bugs.launchpad.net/ubuntu/+source/gnome-online-accounts/+bug/1687019
https://bugzilla.redhat.com/show_bug.cgi?id=1446817

I was told that the 52.1 version of Thunderbird fixed this issue, but I'm not using since it's not in the Ubuntu Zesty repositories yet.

If this can be confirmed, maybe just pushing the newer version of Thunderbird to Ubuntu repos is enough.

Giorgio Pintaudi (laststardust) wrote :

I can confirm this behavior in Ubuntu 14.04 and thunderbird 45.8.0
In Windows 10 with thunderbird 52.0.1 this doesn't happen. I don't use 2 factor authentication.

David Canas (dxcanas) wrote :

Also confirming behavior. Not 2FA enabled, but can't click on "continue".

blinkofdawn (blinkofdawn) wrote :

Confirmed. This bug still exists in Ubuntu Artful (17.10) as of now.

Cannot login via OAuth2 (=standard method) because button is unclickable. Major changes to Google account required in order to get basic functionality (sending/recieving E-Mails) with Thunderbird. Lightning (calendar addon) doesn't work either. No workaround for this. Regular people will not be able to get their E-Mail software working.

This needs to be fixed for the upcoming release before the Debian Import Freeze happens in 4 days!

New version of Thunderbird in the Debian repository ("testing" or newer) fixes the bug. Please import, thanks.

blinkofdawn (blinkofdawn) wrote :

Finally found a workaround that works.
(credit goes to Salvador Pérez from https://addons.mozilla.org/de/thunderbird/addon/provider-for-google-calendar/reviews/?page=2)

1.) Go to: Add-ons Manager -> Extensions -> Provider for Google Calendar (More) -> Home page (follow the link)
2.) Click on "Add to Thunderbird" button. This reinstalls the Provider for Google Calendar.
3.) After restarting Thunderbird, the Lightning calendar addon is usable again.

We still need to import a newer version of Thunderbird into the Ubuntu 17.10 repository to address this bug, as not only Lightning is damaged, but the E-Mail login procedure itself. Debian Import Freeze has already happened. Since this is a serious usability bug, maybe an exception can be made?

This problem still persists on Ubuntu 17.10 updated right now.

tags: added: artf
tags: added: artful
removed: artf
Paul White (paulw2u) wrote :

Is this still an issue now that Thunderbird 60.4 is the currently supported version?

Changed in lightning:
status: New → Incomplete
Changed in thunderbird (Ubuntu):
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.